/* 
Theme Name:     WEBLOFT
Theme URI: 		http://www.webloft.ca/
Description: Thème personnalisé pour le client. Habituellement développé à partir d'un PSD fournis par votre agence de communication. Pour plus d'informations, veuillez communiquer avec votre agence ou le support de Webloft au 514-945-3700 / support@webloft.ca
Author:         WEBLOFT // JFRanger, Maxime & Dominique
Theme URI: 		http://www.webloft.ca/
Template: hello-elementor
Version: 1.0.1
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/*
    Add your custom styles here
*/

.nomargin,
.nomargin p,
.no-margin,
.no-margin p,
.nopadding,
.nopadding p,
.no-padding,
.no-padding p{margin:0 !important; padding:0 !important}


html, body {
	overflow-x: hidden;
}

/*
html, body, body * {
	cursor: url("/wp-content/uploads/2021/07/effetb-cursor.ico"),
		url("/wp-content/uploads/2021/07/effetb-cursor.png"), 
		default;
}
*/

/*html, */body:not(.elementor-editor-active), body:not(.elementor-editor-active) * {
	cursor: url("/wp-content/uploads/2021/09/effetb-cursor-white.ico"),
		url("/wp-content/uploads/2021/09/effetb-cursor-white.png"), 
		default;
}

/* HEADER COLOR CHANGE (ACF) */
body.wl-nav-bg-beige #nav {background-color: #dddcd0;}
body.wl-nav-bg-peche #nav {background-color: #cd9676;}
body.wl-nav-bg-vert #nav {background-color: #2e3d34;}

body.single-wl_portfolio #nav {background-color: transparent!important;}

body.wl-nav-text-blanc #logo .wl-logo-text {fill: #ffffff;}
body.wl-nav-text-beige #logo .wl-logo-text {fill: #dddcd0;}
body.wl-nav-text-peche #logo .wl-logo-text {fill: #cd9676;}
body.wl-nav-text-vert #logo .wl-logo-text {fill: #2e3d34;}

body.wl-nav-text-blanc #mobile-nav svg rect {fill: #ffffff;}
body.wl-nav-text-beige #mobile-nav svg rect {fill: #dddcd0;}
body.wl-nav-text-peche #mobile-nav svg rect {fill: #cd9676;}
body.wl-nav-text-vert #mobile-nav svg rect {fill: #2e3d34;}


/* HEADER */
body > .elementor-location-header {
  position: relative;
  z-index: 999;
}

/* Home Portfolio Loop */
.wl-realisations .item {
  margin-bottom: 45px;
}
.wl-realisations .item h2 {
  margin: 0 0 0 0;
}
.wl-realisations .item h2 a {
  font-family: "ProximaNova", Sans-serif;
  font-size: 25px;
  color: #dddcd0;
  font-weight: bold;
  text-transform: uppercase;
}
.wl-realisations .item p.link {
  margin-top: 15px;
}
.wl-realisations .item p.link a {
  display: inline-block;
  font-family: "ProximaNova", Sans-serif;
  border: 2px solid #dddcd0;
  padding: 7px 14px;
  font-size: 16px;
  font-weight: 500;
  border-radius: 25px;
  color: #dddcd0;
}
.wl-realisations .item p.link a:hover {
  background: #dddcd0;
  color: #2e3d34;
}
.wl-realisations .item p.desc {
  font-family: "ProximaNova", Sans-serif;
  color: #dddcd0;
  font-size: 16px;
}

.wl-realisations .item .img {
	position: relative;
	width:100%;
	height:300px;
	background-position:center;
	background-size:cover;
	color:#fff;
	overflow:hidden;
	margin-bottom: 20px;
}

.wl-realisations .item .img img {
	width:100%;
	
	/* height:100%; - JF 31 aout 2021 */
	margin-top: -50px;
	
	background-position:center;
	background-size:cover;
	position:absolute;
	top:0;
	left:0;
	z-index:10;
}
.wl-realisations .item .img img:not(:first-child) {
	display: none;
}

@media screen and (min-width: 768px) {
  .wl-realisations.home {
     display: grid; 
     grid-template-rows: 1fr 1fr;
     grid-template-columns: 1fr 1fr;
     gap: 45px;
     height: 100%;
  }

  .wl-realisations.home .item {
    display: flex;
    justify-content: center;
    flex-direction: column;
    margin-bottom: 0;
  }

  .wl-realisation.home .item-1 {
     grid-row-start: 1;
     grid-column-start: 1;
     grid-row-end: 2;
     grid-column-end: 2;
  }
	
	.wl-realisations.home .item-2 {
     grid-row-start: 1;
     grid-column-start: 2;
     grid-row-end: 3;
     grid-column-end: 3;
  }
	
  .wl-realisations.home .item-3 {
     grid-row-start: 2;
     grid-column-start: 1;
     grid-row-end: 3;
     grid-column-end: 2;
  }
	
	/*
	.wl-realisations.portfolio {
		column-count: 2;
    column-gap: 45px;
	}
	.wl-realisations.portfolio .item {
		display: grid;
    grid-template-rows: 1fr auto;
		display: inline-block;
	}
	
	.wl-realisations.portfolio .item-4 {
		padding-top: 100px;
	}
*/
	
	.wl-realisations.portfolio {
		display: flex;
  	flex-flow: row wrap;
		margin-left: -30px;
		margin-right: -30px;
  }

  .wl-realisations.portfolio .item {
		width: 50%;
		padding: 0 30px;
  }
}

@media screen and (max-width: 767px) {
	.wl-realisations .item .img img {
		height:100%;
		margin-top: 0;
		object-fit: cover;
	}
}